Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: -OperServ- Unable to load module  (Read 8100 times)

0 Members and 1 Guest are viewing this topic.

GetITCdot

  • Anope User
  • Offline Offline
  • Posts: 5
-OperServ- Unable to load module
« on: November 15, 2008, 08:37:42 PM »

Ok now, before everyone jumps to conclusion let me cover this to the best of my ability.

I am using
anope-1.8.0-rc1
with
Unreal3.2.7

I have reg. my nick with nickserv oped up and have full root privlages.

Anytime i try to install ANY module i get  -OperServ- Unable to load module

i read this article
http://forum.anope.org/index.php?topic=1044

and fallowed the direction PERFECTLY

yes i still no matter what get Unable to load module. This is my second installation of anope. I had no errors configuring or anything else like that... someone please help me :(

The modules i have tried to install so far are as fallows:

http://modules.anope.org/viewmod.php?id=41
http://modules.anope.org/viewmod.php?id=60
http://modules.anope.org/viewmod.php?id=61


although with that being said, services themselves work perfectly.
Logged

deiks

  • Anope User
  • Offline Offline
  • Gender: Male
  • Posts: 139
  • Shizle my nizle
Re: -OperServ- Unable to load module
« Reply #1 on: November 15, 2008, 10:06:22 PM »

Yeah, all these modules are for 1.7.21 anope and you are using 1.8.0
Logged

GetITCdot

  • Anope User
  • Offline Offline
  • Posts: 5
Re: -OperServ- Unable to load module
« Reply #2 on: November 16, 2008, 02:01:48 AM »

i cant even find Anope-1.7.21 where is it? i can only find Anope-1.6.5
Logged

TwinShadow

  • Anope User
  • Offline Offline
  • Posts: 64
    • ShadowHime
Re: -OperServ- Unable to load module
« Reply #3 on: November 16, 2008, 03:11:09 AM »

Don't ask me why, but the devs decide that they hide any previous release from SourceForge, making it almost impossible to find the source files for previous versions, especially in the 1.7 branch now. I don't necessarily agree with this, but they make the choices.

I do indeed have the source on my computer if you need it for 1.7.21, I can upload it somewhere for ya.
Logged

Charles Kingsley

  • Contributor
  • *
  • Offline Offline
  • Posts: 1405
Re: -OperServ- Unable to load module
« Reply #4 on: November 16, 2008, 05:01:00 PM »

We have always hidden previous releases as a matter of simplicity on sf so that the user is able to retrieve the latest version from the required branch.

Until recently, all of our versions were available to be checked out from the tags dir on our svn repository but due to a migration to SF's SVN offering this isn't currently the case.

However, we don't mind which version of our product you use, so feel free to grab 1.7.21 from here until we rectify the SVN tags.

Logged

GetITCdot

  • Anope User
  • Offline Offline
  • Posts: 5
Re: -OperServ- Unable to load module
« Reply #5 on: November 17, 2008, 03:40:44 AM »

After un-installing my previouse version and INSTALLING 1.7.21 i got a bit diff of an error

i was trying to install the ircd_vhostserv.c

and usualy where i was getting Unable to load module i am now getting

-irc.getitc.com- *** Permanent Global Q:line added for vHost on Mon Nov 17 03:34:20 2008 GMT (from services.un-dead: Reserved for services)
-
-OperServ- Unable to load module ircd_vhostserv

So it adds the Q-line yet still cannot load the module? What the heck am i missing? Also after installing the new services /os /ns /hs etc. don't work anylonger does that make any sense? i thought that was an unrealircd setting.....

Im so lost :(((
Logged

Charles Kingsley

  • Contributor
  • *
  • Offline Offline
  • Posts: 1405
Re: -OperServ- Unable to load module
« Reply #6 on: November 17, 2008, 06:34:49 AM »

The slash os, ns, etc is down to Aliases in your unrealircd.conf both for the services-server setting under the set block and ensuring that aliases/anope.conf is read in to the config. - It also relies on the ServerName directive in the services.conf (anope) being the same name.

As for your error, can you check the logs to see whether there is anything more available in there as to why it loads the qline and then fails to the rest of the module.
Logged

GetITCdot

  • Anope User
  • Offline Offline
  • Posts: 5
Re: -OperServ- Unable to load module
« Reply #7 on: November 17, 2008, 09:02:57 PM »

I don't know the exact problem but i was able to fix this issue by doing a clean install of both Unreal and Anope. Thanks for all your guys help. Everything works without a single issue thus far!
Logged
Pages: [1]   Go Up